For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/service/periods

get

Get a list of NATS date period types

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
reportstringOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/service/periods
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'GET',
	'path' => 'service/periods',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "periods": [
    {
      "id": 0,
      "name": "This Period"
    },
    {
      "id": 1,
      "name": "Last Period"
    },
    {
      "id": 2,
      "name": "Today"
    },
    {
      "id": 3,
      "name": "Yesterday"
    },
    {
      "id": 4,
      "name": "This Week"
    },
    {
      "id": 15,
      "name": "Past 7 Days"
    },
    {
      "id": 10,
      "name": "Last Week"
    },
    {
      "id": 5,
      "name": "This Month"
    },
    {
      "id": 28,
      "name": "Past 15 Days"
    },
    {
      "id": 17,
      "name": "Past 30 Days"
    },
    {
      "id": 11,
      "name": "Last Month"
    },
    {
      "id": 12,
      "name": "Past 60 Days"
    },
    {
      "id": 13,
      "name": "Past 90 Days"
    },
    {
      "id": 16,
      "name": "Past 180 Days"
    },
    {
      "id": 6,
      "name": "This Year"
    },
    {
      "id": 14,
      "name": "Last Year"
    },
    {
      "id": 7,
      "name": "All Time"
    },
    {
      "id": 8,
      "name": "Freeform"
    }
  ]
}

Last updated

Was this helpful?